# Asterisk Project : Asterisk 12 Function_ICONV

Added by wikibot , edited by wikibot on Aug 29, 2013

# ICONV()

### Synopsis

Converts charsets of strings.

### Description

Converts string from in-charset into out-charset. For available charsets, use `iconv -l` on your shell command line.

Note

Icon

Due to limitations within the API, ICONV will not currently work with charsets with embedded NULLs. If found, the string will terminate.

### Syntax

    ICONV(in-charset,out-charset,string)

##### Arguments

- `in-charset` - Input charset
- `out-charset` - Output charset
- `string` - String to convert, from in-charset to out-charset

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown